Bug 222002 - [Payment Request] add an `object data` to `PaymentDetailsBase` so that data specific to Apple Pay can be provided
Summary: [Payment Request] add an `object data` to `PaymentDetailsBase` so that data s...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on: 221970
Blocks: 222128 222298
  Show dependency treegraph
 
Reported: 2021-02-16 14:51 PST by Devin Rousso
Modified: 2021-02-22 17:30 PST (History)
18 users (show)

See Also:


Attachments
Patch (184.30 KB, patch)
2021-02-16 15:23 PST, Devin Rousso
drousso: commit-queue-
Details | Formatted Diff | Diff
Patch (185.73 KB, patch)
2021-02-17 21:47 PST, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (189.47 KB, patch)
2021-02-18 18:01 PST, Devin Rousso
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (189.47 KB, patch)
2021-02-18 18:13 PST, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (190.03 KB, patch)
2021-02-18 19:23 PST, Devin Rousso
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (190.07 KB, patch)
2021-02-18 21:43 PST, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2021-02-16 14:51:44 PST
.
Comment 1 Devin Rousso 2021-02-16 14:52:30 PST
<rdar://problem/72319946>
Comment 2 Devin Rousso 2021-02-16 15:23:43 PST
Created attachment 420548 [details]
Patch
Comment 3 Devin Rousso 2021-02-17 21:47:56 PST
Created attachment 420796 [details]
Patch
Comment 4 Devin Rousso 2021-02-18 18:01:48 PST
Created attachment 420892 [details]
Patch
Comment 5 Devin Rousso 2021-02-18 18:13:57 PST
Created attachment 420894 [details]
Patch
Comment 6 Tim Horton 2021-02-18 19:01:54 PST
Comment on attachment 420894 [details]
Patch

Same as last time, would be good to get an Andy review post-hoc, but the mechanics seem fine and no glaring horrors.
Comment 7 Devin Rousso 2021-02-18 19:23:38 PST
Created attachment 420905 [details]
Patch
Comment 8 Devin Rousso 2021-02-18 21:43:46 PST
Created attachment 420920 [details]
Patch
Comment 9 EWS 2021-02-18 22:02:25 PST Comment hidden (obsolete)
Comment 10 EWS 2021-02-19 09:38:43 PST
Committed r273143: <https://commits.webkit.org/r273143>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 420920 [details].